<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: BLE Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="../../d9/d9f/interfaceBLE-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BLE Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BLE:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/df9/interfaceBLE.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a82f420a1b359d8294821d2d95b716892"><td class="memItemLeft" align="right" valign="top"><a id="a82f420a1b359d8294821d2d95b716892"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>enableReadNotification:</b></td></tr>
<tr class="separator:a82f420a1b359d8294821d2d95b716892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3b57cefbb8fd897eedcf5866222dde2"><td class="memItemLeft" align="right" valign="top"><a id="ad3b57cefbb8fd897eedcf5866222dde2"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>read</b></td></tr>
<tr class="separator:ad3b57cefbb8fd897eedcf5866222dde2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96bbe1aaafa104438a8042fd7094cb8f"><td class="memItemLeft" align="right" valign="top"><a id="a96bbe1aaafa104438a8042fd7094cb8f"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>writeValue:characteristicUUID:p:data:</b></td></tr>
<tr class="separator:a96bbe1aaafa104438a8042fd7094cb8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4534dfe3d48ff3343990d751a03f30"><td class="memItemLeft" align="right" valign="top"><a id="a4a4534dfe3d48ff3343990d751a03f30"></a>
(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <b>isConnected</b></td></tr>
<tr class="separator:a4a4534dfe3d48ff3343990d751a03f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac26044206f4cd196a173296a89f2f440"><td class="memItemLeft" align="right" valign="top"><a id="ac26044206f4cd196a173296a89f2f440"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>write:</b></td></tr>
<tr class="separator:ac26044206f4cd196a173296a89f2f440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba1906813bbaea4194c69238af3dc10"><td class="memItemLeft" align="right" valign="top"><a id="a0ba1906813bbaea4194c69238af3dc10"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>readRSSI</b></td></tr>
<tr class="separator:a0ba1906813bbaea4194c69238af3dc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c1f07150cf74d5349b85a63f02109ba"><td class="memItemLeft" align="right" valign="top"><a id="a2c1f07150cf74d5349b85a63f02109ba"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>controlSetup</b></td></tr>
<tr class="separator:a2c1f07150cf74d5349b85a63f02109ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab45e593d6afa244ba7ba94a5701f7fb7"><td class="memItemLeft" align="right" valign="top"><a id="ab45e593d6afa244ba7ba94a5701f7fb7"></a>
(int)&#160;</td><td class="memItemRight" valign="bottom">- <b>findBLEPeripherals:</b></td></tr>
<tr class="separator:ab45e593d6afa244ba7ba94a5701f7fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af95598271860aecc2e8ecd0676c218ba"><td class="memItemLeft" align="right" valign="top"><a id="af95598271860aecc2e8ecd0676c218ba"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>connectPeripheral:</b></td></tr>
<tr class="separator:af95598271860aecc2e8ecd0676c218ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e2ea372e392188c99aab16f2b54c50"><td class="memItemLeft" align="right" valign="top"><a id="a56e2ea372e392188c99aab16f2b54c50"></a>
(UInt16)&#160;</td><td class="memItemRight" valign="bottom">- <b>swap:</b></td></tr>
<tr class="separator:a56e2ea372e392188c99aab16f2b54c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb3b67a57b39b07061758b964fd728d0"><td class="memItemLeft" align="right" valign="top"><a id="afb3b67a57b39b07061758b964fd728d0"></a>
(const char *)&#160;</td><td class="memItemRight" valign="bottom">- <b>centralManagerStateToString:</b></td></tr>
<tr class="separator:afb3b67a57b39b07061758b964fd728d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa24d0224e1ad4cba04b72eade0af9f10"><td class="memItemLeft" align="right" valign="top"><a id="aa24d0224e1ad4cba04b72eade0af9f10"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>scanTimer:</b></td></tr>
<tr class="separator:aa24d0224e1ad4cba04b72eade0af9f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a202144488ae82f20278653bb8e9f6edc"><td class="memItemLeft" align="right" valign="top"><a id="a202144488ae82f20278653bb8e9f6edc"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>printKnownPeripherals</b></td></tr>
<tr class="separator:a202144488ae82f20278653bb8e9f6edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acda7f71897cbf1543190cd499b3894d4"><td class="memItemLeft" align="right" valign="top"><a id="acda7f71897cbf1543190cd499b3894d4"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>printPeripheralInfo:</b></td></tr>
<tr class="separator:acda7f71897cbf1543190cd499b3894d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19de956ab1445d8383ce97a49176ac54"><td class="memItemLeft" align="right" valign="top"><a id="a19de956ab1445d8383ce97a49176ac54"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>getAllServicesFromPeripheral:</b></td></tr>
<tr class="separator:a19de956ab1445d8383ce97a49176ac54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c607b9106c5f5c1e9212f28881222e"><td class="memItemLeft" align="right" valign="top"><a id="a56c607b9106c5f5c1e9212f28881222e"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>getAllCharacteristicsFromPeripheral:</b></td></tr>
<tr class="separator:a56c607b9106c5f5c1e9212f28881222e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23504f37d2ffd543eff1c42e2b8d9123"><td class="memItemLeft" align="right" valign="top"><a id="a23504f37d2ffd543eff1c42e2b8d9123"></a>
(CBService *)&#160;</td><td class="memItemRight" valign="bottom">- <b>findServiceFromUUID:p:</b></td></tr>
<tr class="separator:a23504f37d2ffd543eff1c42e2b8d9123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7823664699cccc003500c7d04be3525"><td class="memItemLeft" align="right" valign="top"><a id="ab7823664699cccc003500c7d04be3525"></a>
(CBCharacteristic *)&#160;</td><td class="memItemRight" valign="bottom">- <b>findCharacteristicFromUUID:service:</b></td></tr>
<tr class="separator:ab7823664699cccc003500c7d04be3525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7afc29ad44387aba4e40eebd6c6cd14f"><td class="memItemLeft" align="right" valign="top"><a id="a7afc29ad44387aba4e40eebd6c6cd14f"></a>
(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <b>CBUUIDToString:</b></td></tr>
<tr class="separator:a7afc29ad44387aba4e40eebd6c6cd14f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8c96840f45de3f284b94e7df5ebd81"><td class="memItemLeft" align="right" valign="top"><a id="a6f8c96840f45de3f284b94e7df5ebd81"></a>
(int)&#160;</td><td class="memItemRight" valign="bottom">- <b>compareCBUUID:UUID2:</b></td></tr>
<tr class="separator:a6f8c96840f45de3f284b94e7df5ebd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c4fe1301942d9f1983502a711758ab"><td class="memItemLeft" align="right" valign="top"><a id="a00c4fe1301942d9f1983502a711758ab"></a>
(int)&#160;</td><td class="memItemRight" valign="bottom">- <b>compareCBUUIDToInt:UUID2:</b></td></tr>
<tr class="separator:a00c4fe1301942d9f1983502a711758ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6fef16e280d6f1cb914db17af675c9"><td class="memItemLeft" align="right" valign="top"><a id="adc6fef16e280d6f1cb914db17af675c9"></a>
(UInt16)&#160;</td><td class="memItemRight" valign="bottom">- <b>CBUUIDToInt:</b></td></tr>
<tr class="separator:adc6fef16e280d6f1cb914db17af675c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4453918fecdabcdf46d8617d6f48fef3"><td class="memItemLeft" align="right" valign="top"><a id="a4453918fecdabcdf46d8617d6f48fef3"></a>
(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <b>UUIDSAreEqual:UUID2:</b></td></tr>
<tr class="separator:a4453918fecdabcdf46d8617d6f48fef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:aa0ce5e216c0b5eb142af39392b70c4f5"><td class="memItemLeft" align="right" valign="top"><a id="aa0ce5e216c0b5eb142af39392b70c4f5"></a>
id&lt; <a class="el" href="../../de/d74/protocolBLEDelegate-p.html">BLEDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>delegate</b></td></tr>
<tr class="separator:aa0ce5e216c0b5eb142af39392b70c4f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a328b6b2a6bf9d378be8a3ebe96b70fbd"><td class="memItemLeft" align="right" valign="top"><a id="a328b6b2a6bf9d378be8a3ebe96b70fbd"></a>
NSMutableArray *&#160;</td><td class="memItemRight" valign="bottom"><b>peripherals</b></td></tr>
<tr class="separator:a328b6b2a6bf9d378be8a3ebe96b70fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accccd85bb5027c40c642ccf579b6a47a"><td class="memItemLeft" align="right" valign="top"><a id="accccd85bb5027c40c642ccf579b6a47a"></a>
CBCentralManager *&#160;</td><td class="memItemRight" valign="bottom"><b>CM</b></td></tr>
<tr class="separator:accccd85bb5027c40c642ccf579b6a47a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40daf688c25b2240d2a29fe46a5ff82"><td class="memItemLeft" align="right" valign="top"><a id="aa40daf688c25b2240d2a29fe46a5ff82"></a>
CBPeripheral *&#160;</td><td class="memItemRight" valign="bottom"><b>activePeripheral</b></td></tr>
<tr class="separator:aa40daf688c25b2240d2a29fe46a5ff82"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>RCTBluetoothSerial/<a class="el" href="../../d9/dcc/BLE_8h_source.html">BLE.h</a></li>
<li>RCTBluetoothSerial/BLE.m</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
